<?php
// +-----------------------------------------------------------------------+
// | pwgCumulus  - a plugin for Piwigo                                     |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2009      Nicolas Roudaire        http://www.nikrou.net  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

load_language('plugin.lang', PWG_CUMULUS_PLUGIN_LANG);

$me = get_plugin_data($plugin_id);
$save_config = false;

if (!empty($_POST['submit'])) {
  if (!empty($_POST['pwg_cumulus_width']) && intval($_POST['pwg_cumulus_width'])!=$me->pwg_cumulus_width) {
    $me->pwg_cumulus_width = intval($_POST['pwg_cumulus_width']);
    array_push($GLOBALS['page']['infos'], $lang['pwg_cumulus_width_changed']);
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_height']) && intval($_POST['pwg_cumulus_height'])!=$me->pwg_cumulus_height) {
    $me->pwg_cumulus_height = intval($_POST['pwg_cumulus_height']);
    array_push($GLOBALS['page']['infos'], $lang['pwg_cumulus_height_changed']);
    $save_config = true;
  }

  if ($save_config) {
    $me->save_config();
  }
}

$GLOBALS['template']->set_filenames(array('plugin_admin_content' => PWG_CUMULUS_PLUGIN_TEMPLATE . '/admin.tpl'));
$GLOBALS['template']->assign('PWG_CUMULUS_WIDTH', $me->pwg_cumulus_width); 
$GLOBALS['template']->assign('PWG_CUMULUS_HEIGHT', $me->pwg_cumulus_height); 
$GLOBALS['template']->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>
